Flash uses 100% CPU after resuming from suspend

Bug #281526 reported by Adam Porter on 2008-10-11
58
This bug affects 8 people
Affects Status Importance Assigned to Milestone
adobe-flashplugin (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Adam Porter
Nominated for Intrepid by Adam Porter
Nominated for Jaunty by Adam Porter
Nominated for Karmic by Adam Porter
firefox (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Adam Porter
Nominated for Intrepid by Adam Porter
Nominated for Jaunty by Adam Porter
Nominated for Karmic by Adam Porter
flashplugin-nonfree (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Adam Porter
Nominated for Intrepid by Adam Porter
Nominated for Jaunty by Adam Porter
Nominated for Karmic by Adam Porter
linux (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Adam Porter
Nominated for Intrepid by Adam Porter
Nominated for Jaunty by Adam Porter
Nominated for Karmic by Adam Porter

Bug Description

Binary package hint: firefox

firefox-3.0 = 3.0.3+build1+nobinonly-0ubuntu0.8.04.1 0

Sometimes when resuming from suspend-to-RAM, Firefox becomes unresponsive and uses 100% CPU time. An strace shows it in a cycle like this:

--- SIGIO (I/O possible) @ 0 (0) ---
rt_sigreturn(0xb2503d90) = 240
futex(0xb2503d90, 0x80 /* FUTEX_??? */, 2) = ? ERESTARTSYS (To be restarted)

This repeats endlessly and uses all available CPU time. It doesn't always happen, and I haven't noticed a pattern yet, but it's happened 3 or 4 times in the last week.
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: me 3080 F.... pulseaudio
 /dev/snd/pcmC0D0p: me 3080 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfebfc000 irq 47'
   Mixer name : 'SigmaTel STAC9228'
   Components : 'HDA:83847616,10280209,00100201'
   Controls : 28
   Simple ctrls : 19
DistroRelease: Ubuntu 11.04
HibernationDevice: RESUME=UUID=f9bf3c71-67be-458b-b736-e5df812b393e
MachineType: Dell Inc. XPS M1330
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-2.6.38-13-generic root=/dev/mapper/vg-root ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.38-13.53-generic 2.6.38.8
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-13-generic N/A
 linux-backports-modules-2.6.38-13-generic N/A
 linux-firmware 1.52
Tags: natty
Uname: Linux 2.6.38-13-generic i686
UpgradeStatus: Upgraded to natty on 2011-05-15 (220 days ago)
UserGroups: adm admin fuse vboxusers
WpaSupplicantLog:

dmi.bios.date: 07/08/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A12
dmi.board.name: 0PU073
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA12:bd07/08/2008:svnDellInc.:pnXPSM1330:pvr:rvnDellInc.:rn0PU073:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: XPS M1330
dmi.sys.vendor: Dell Inc.

Adam Porter (alphapapa) on 2008-10-11
description: updated
Wirawan Purwanto (wirawan0) wrote :

I can confirm this problem on one of the laptops that I used. IT is a Sony VAIO PCG-FXA53 with AMD Athlon XP 1400+ CPU, 512MB RAM. The other laptop (Dell Lattitude D600) never experienced this kind of problem. I notice that usually either firefox or both firefox/Xorg combination consumes the CPU after suspend to RAM. Often the problem can be cured by closing some web pages. I notice that the following pages are the culprit (again, I still cannot notice a definite pattern):

* mail.yahoo.com (new web mail)
* mail.google.com (standard AJAX interface)
* perhaps weather.com, skymall.com

I will write more then things become clearer to me. If anything can be done on my part (e.g. tests, log dumps) to pinpoint the problem please let me know.

Wirawan Purwanto (wirawan0) wrote :

Sorry forgot to mention the distro. I am using xubuntu 8.10 with kernel 2.6.27-9-generic. Firefox was version 3.0.4 IIRC. I will report if 3.0.5 also has the same problem.

Lorenzo (lorenzo-delledonne) wrote :

I can confirm this as well on ubuntu, 8.10 with the latest kernel available (2.6.27-9-generic), running on a Toshiba Satellite A100-097 (with Phoenix BIOS).
This laptop is powered by a dual core CPU (Core 2 Duo T7200) and the load is shared by the cores cyclically.

I've also noticed that sometimes on resuming, Firefox doesn't freeze,
but it does use 100% CPU. When this happens, I think, but am not
sure, that it correlates with having Gmail and/or Google Reader open
in a tab in Firefox. I think that a few times, closing those tabs has
cut the CPU usage back to normal, after which I could reopen them and
it was fine. *shrug*

I am also experiencing this problem in Firefox 3.0.7 when Gmail and Google Reader are open, Maybe it is caused by javascript-heavy sites? This is on Kubuntu jaunty, 2.6.28-8-generic.

Ian (eddieshowcase) wrote :

I have also been experiencing this. It started with 3.0.5.

There are a few sites that I visit regularly that cause Firefox to go to 100% CPU..... I have to force quit:

www.nytimes.com
www.wired.com

... Both those sites will cause the situation after a few clicks.

This is Ubuntu, 8.04, x86, happens with NO plug-ins or add-ons.

Its so crippling I have had to switch browsers until this is fixed.

John Vivirito (gnomefreak) wrote :

I'm wondering if this isnt related to acpi

kikoune (kikoune) wrote :

This happens for me as well on Dell XPS M1330 running Ubuntu 8.10 with xfce.

Gary Trakhman (gary-trakhman) wrote :

Happens for me running Jaunty (now karmic) (been testing the development version since intrepid was released) on an Thinkpad SL300 with core 2 duo, 64-bit.

Jarno Suni (jarnos) wrote :

I have experienced this with pages containing Flash objects – e.g. with a random youtube.com video page with paused video.

Hm. I just checked and saw that Gmail also uses Flash for its chat
sounds. I've seen this bug when Gmail or Hulu was open in a tab when
I suspended. Maybe this is caused by Flash.

On Fri, May 1, 2009 at 09:11, Jarno Suni <email address hidden> wrote:
> I have experienced this with pages containing Flash objects – e.g. with
> a random youtube.com video page with paused video.
>
> --
> Firefox freezes with 100% CPU after resuming from suspend
> https://bugs.launchpad.net/bugs/281526
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Gary Trakhman (gary-trakhman) wrote :

i've been using the native 64-bit flash plugin

On Sat, May 2, 2009 at 8:27 AM, Adam Porter <email address hidden> wrote:
> Hm.  I just checked and saw that Gmail also uses Flash for its chat
> sounds.  I've seen this bug when Gmail or Hulu was open in a tab when
> I suspended.  Maybe this is caused by Flash.
>
> On Fri, May 1, 2009 at 09:11, Jarno Suni <email address hidden> wrote:
>> I have experienced this with pages containing Flash objects – e.g. with
>> a random youtube.com video page with paused video.
>>
>> --
>> Firefox freezes with 100% CPU after resuming from suspend
>> https://bugs.launchpad.net/bugs/281526
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
> --
> Firefox freezes with 100% CPU after resuming from suspend
> https://bugs.launchpad.net/bugs/281526
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Gary Trakhman (gary-trakhman) wrote :

seems to not be a problem anymore for me. I've been using karmic
repos. firefox-3.0.10, newest intel driver and mesa from xorg-edgers.

On Sat, May 2, 2009 at 11:11 AM, Grigory Trakhman
<email address hidden> wrote:
> i've been using the native 64-bit flash plugin
>
> On Sat, May 2, 2009 at 8:27 AM, Adam Porter <email address hidden> wrote:
>> Hm.  I just checked and saw that Gmail also uses Flash for its chat
>> sounds.  I've seen this bug when Gmail or Hulu was open in a tab when
>> I suspended.  Maybe this is caused by Flash.
>>
>> On Fri, May 1, 2009 at 09:11, Jarno Suni <email address hidden> wrote:
>>> I have experienced this with pages containing Flash objects – e.g. with
>>> a random youtube.com video page with paused video.
>>>
>>> --
>>> Firefox freezes with 100% CPU after resuming from suspend
>>> https://bugs.launchpad.net/bugs/281526
>>> You received this bug notification because you are a direct subscriber
>>> of the bug.
>>>
>>
>> --
>> Firefox freezes with 100% CPU after resuming from suspend
>> https://bugs.launchpad.net/bugs/281526
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>

Adam Porter (alphapapa) wrote :

Gary, can you please make sure that's the case when you have tabs with
Flash open? I'm using 3.0.10 on Hardy and still have the problem.
I'm not completely sure that it's Flash-related, but I have a strong
suspicion. It seems like when it happens, if I'm able to close the
tabs that have Flash open, CPU usage goes back to idle.

On Fri, May 8, 2009 at 06:13, Gary Trakhman <email address hidden> wrote:
> seems to not be a problem anymore for me.  I've been using karmic
> repos.  firefox-3.0.10, newest intel driver and mesa from xorg-edgers.
>
> On Sat, May 2, 2009 at 11:11 AM, Grigory Trakhman
> <email address hidden> wrote:
>> i've been using the native 64-bit flash plugin
>>
>> On Sat, May 2, 2009 at 8:27 AM, Adam Porter <email address hidden> wrote:
>>> Hm.  I just checked and saw that Gmail also uses Flash for its chat
>>> sounds.  I've seen this bug when Gmail or Hulu was open in a tab when
>>> I suspended.  Maybe this is caused by Flash.
>>>
>>> On Fri, May 1, 2009 at 09:11, Jarno Suni <email address hidden> wrote:
>>>> I have experienced this with pages containing Flash objects – e.g. with
>>>> a random youtube.com video page with paused video.
>>>>
>>>> --
>>>> Firefox freezes with 100% CPU after resuming from suspend
>>>> https://bugs.launchpad.net/bugs/281526
>>>> You received this bug notification because you are a direct subscriber
>>>> of the bug.
>>>>
>>>
>>> --
>>> Firefox freezes with 100% CPU after resuming from suspend
>>> https://bugs.launchpad.net/bugs/281526
>>> You received this bug notification because you are a direct subscriber
>>> of the bug.
>>>
>>
>
> --
> Firefox freezes with 100% CPU after resuming from suspend
> https://bugs.launchpad.net/bugs/281526
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Gary Trakhman (gary-trakhman) wrote :

ya, have gmail open, youtube. Seems to be all better. Don't
understand why. My flash plugin version hasn't changed though. I've
been using the manually installed 64-bit native plugin all along.

On Fri, May 8, 2009 at 6:18 PM, Adam Porter <email address hidden> wrote:
> Gary, can you please make sure that's the case when you have tabs with
> Flash open?  I'm using 3.0.10 on Hardy and still have the problem.
> I'm not completely sure that it's Flash-related, but I have a strong
> suspicion.  It seems like when it happens, if I'm able to close the
> tabs that have Flash open, CPU usage goes back to idle.
>
> On Fri, May 8, 2009 at 06:13, Gary Trakhman <email address hidden> wrote:
>> seems to not be a problem anymore for me.  I've been using karmic
>> repos.  firefox-3.0.10, newest intel driver and mesa from xorg-edgers.
>>
>> On Sat, May 2, 2009 at 11:11 AM, Grigory Trakhman
>> <email address hidden> wrote:
>>> i've been using the native 64-bit flash plugin
>>>
>>> On Sat, May 2, 2009 at 8:27 AM, Adam Porter <email address hidden> wrote:
>>>> Hm.  I just checked and saw that Gmail also uses Flash for its chat
>>>> sounds.  I've seen this bug when Gmail or Hulu was open in a tab when
>>>> I suspended.  Maybe this is caused by Flash.
>>>>
>>>> On Fri, May 1, 2009 at 09:11, Jarno Suni <email address hidden> wrote:
>>>>> I have experienced this with pages containing Flash objects – e.g. with
>>>>> a random youtube.com video page with paused video.
>>>>>
>>>>> --
>>>>> Firefox freezes with 100% CPU after resuming from suspend
>>>>> https://bugs.launchpad.net/bugs/281526
>>>>> You received this bug notification because you are a direct subscriber
>>>>> of the bug.
>>>>>
>>>>
>>>> --
>>>> Firefox freezes with 100% CPU after resuming from suspend
>>>> https://bugs.launchpad.net/bugs/281526
>>>> You received this bug notification because you are a direct subscriber
>>>> of the bug.
>>>>
>>>
>>
>> --
>> Firefox freezes with 100% CPU after resuming from suspend
>> https://bugs.launchpad.net/bugs/281526
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
> --
> Firefox freezes with 100% CPU after resuming from suspend
> https://bugs.launchpad.net/bugs/281526
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I can't tell if this is true of others who have already posted, but I can reproduce this quite readily without any kind of suspend (on a desktop machine even.) It happens to me if Firefox has been running for a long time (a day or two) and then I attempt to open a downloaded file from within Firefox. Unfortunately I'm running a very old version of Ubuntu, so my specifics are likely to be not useful; but I wanted to confirm that this doesn't require a suspend to trigger.

Micah Gersten (micahg) wrote :

No more fixes for Firefox 2.

Changed in firefox (Ubuntu):
status: New → Invalid
Adam Porter (alphapapa) on 2009-06-19
Changed in firefox-3.0 (Ubuntu):
status: New → Confirmed
Felipe Figueiredo (philsf) wrote :

I'm also affected by this bug, using firefox-3.0 in 9.04.

I'm attaching my attempt to backtrace according to https://wiki.ubuntu.com/Backtrace#Already%20running%20programs (when I press ctrl+c, gdb exits, so I had to abcktrace before issuing the 'continue' step).

Architecture: i386
DistroRelease: Ubuntu 9.04
Package: firefox-3.0 3.0.11+build2+nobinonly-0ubuntu0.9.04.1
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_US.UTF-8
Uname: Linux 2.6.30-7-generic i686
UserGroups: adm admin audio cdrom dialout dip fax floppy fuse lpadmin plugdev sambashare scanner tape video

Felipe Figueiredo (philsf) wrote :
Felipe Figueiredo (philsf) wrote :
Felipe Figueiredo (philsf) wrote :

Felipe, what you did in giving firefox backtrace is almost complete, but it still does not provide useful information yet. I think you don't need to issue "continue", but rather you need to follow step 6 in the wiki page that you mentioned. The output can be long; so you might want to issue:

set logging file /tmp/gdb.log
set logging on

(/tmp/gdb.log can be replaced by another file name of your choice)
before doing the backtrace dump. Then publish the /tmp/gdb.log to this bug database. The backtrace info is what the developers are after, I believe.

Thx,
Wirawan

Micah Gersten (micahg) wrote :

Thank you. Does this happen with a clean profile as well?
You can create a new profile with :
firefox -ProfileManager

You do not need to delete your old profile to test.

Felipe Figueiredo (philsf) wrote :

Wirawan, I actually sent the wrong file (the one when I found out that I could't use ctrl-c). Here is the other one.

I'm getting this, even with FireFox 3.5, the x-org Edgers updates, and the latest 2.6.30.3 kernel from the mainline Ubuntu repo.
Otherwise 9.04 with KDE 4.3 latest RC from the Kubuntu repos.

Intel GM965 hardware (hence the funny kernel and X to unbreak them from what 9.04 shipped with).

I will try getting a trace.

Micah Gersten (micahg) wrote :

@Felipe Figueiredo

Can you try with a clean profile to see if you have the same trouble? What version of Flash are you running? Does it happen if you don't run Flash?

Micah Gersten (micahg) wrote :

@Tom Chiverton
Thank you for reporting this to Ubuntu. Sometimes Firefox profiles can become corrupt. Could you please try this with a new profile and see if the problem still exists? You do not need to delete your old profile to test.
firefox-3.5 -ProfileManager

Changed in firefox-3.5 (Ubuntu):
status: New → Incomplete
YenTheFirst (yenthefirst) wrote :

I can confirm the problem, on kubuntu 8.04, with firefox 3.5, with a clean profile.

It goes to 100% cpu, and strace shows it cycling:
futex(0xa9214f18, 0x80 /* FUTEX_??? */, 2) = 0

Micah Gersten (micahg) wrote :

@YenTheFirst

Could you please provide a complete backtrace?

ejoerns (enrico-joerns) wrote :

Same problem here.
Firefox 3.5.4 freezes after suspend to ram.
Could be flash-related, too.

Kubuntu 9.10
2.6.31-14-generic
Geforce Nvidia 8400 GS, Driver 190.42

Nathan Merritt (destierro) wrote :

Same problem here, too. Happens after resume from suspend-to-ram, and only since I upgraded to Karmic.

Kubuntu 9.10
Firefox 3.5.5
2.6.31-14-generic
Intel Corporation Mobile GM965/GL960 on xorg 1:7.4+3ubuntu7

Swistak (swistakers) wrote :

Same problem here.

Kubuntu 9.10
Firefox 3.5.5
2.6.31-15-generic

I have the same problem.
Ubuntu 9.10
Firefox 3.5.5
Kernel 2.6.31-15-generic

To make matters worse, it eventually crashes X and puts me out at a command login prompt. Does seem to be only pages that have flash as well.

findepi (piotr-findeisen) wrote :

Same here.
Kubuntu 9.10, 32bit (2.6.31-16-generic)
Firefox 3.5.5
Flash plugin 10.0 r42

I noticed the analogous situation in Google Chrome (4.0.266.0, same flash version):
the flash plugin process consumes 100% CPU and the pages using flash are unresponsive ('reload' button works, though). When flash process is killed, the browser returns to normal work and displays info that flash plugin failed.

Adam Porter (alphapapa) wrote :

Now I know that this is not a Firefox bug, or a bug in any browser, but a problem with Flash. It happens in Chrome, where you can see and kill the specific process that Flash is running in. It also happens with Adobe AIR apps that are running when the system is suspended and resumed (AIR is basically a Flash wrapper, as far as I know).

affects: firefox-3.0 (Ubuntu) → adobe-flashplugin (Ubuntu)
Changed in firefox-3.5 (Ubuntu):
status: Incomplete → Invalid
summary: - Firefox freezes with 100% CPU after resuming from suspend
+ Flash uses 100% CPU after resuming from suspend
Adam Porter (alphapapa) wrote :

It seems that the kernel is not handing this problem well, and I think older kernels handled this scenario better.

affects: firefox-3.5 (Ubuntu) → linux-meta (Ubuntu)
Changed in linux-meta (Ubuntu):
status: Invalid → New
Adam Porter (alphapapa) wrote :

Curiously, sometimes these Flash and AIR processes don't jump to 100% immediately, but wait until a few minutes after resuming.

This seems to be exposing a strange bug in the kernel (I'm using Hardy 8.04 on a Core 2 Duo system). When one of these processes goes nuts, one core gets pegged at 100%, with most of that 100% going to the Flash process. The other core can be at a low utilization, less than 50%. But other processes on the system seem to not migrate to the less-busy core, and the Flash process starves these other, seemingly unable-to-migrate processes. The result is that, for example, the audio in a video will suddenly stop playing, or the opposite, the video in a video will stop playing, while the audio continues. This happens even when watching a local video in Mplayer, not just when watching a Flash video--if there's a Flash process in the background (like the little Flash applet that Gmail uses to play chat sounds), and it goes nuts, the Mplayer process suffers because it doesn't migrate to the other, nearly-idle core. But as soon as I kill the misbehaving Flash process, everything returns to normal. As far as I can tell, if the other processes would migrate to the core that's not servicing the wide-open-throttle Flash process, they'd have plenty of CPU time.

I recall in the past--perhaps before the CFS kernel scheduler--the kernel would adjust the priority of a process depending on how long it'd been running at high CPU usage. For example, if a process at nice 0 had been running at 100% for several minutes, its priority would gradually change so that other nice-0 processes could have bursts of 100% usage. The kernel would seem to assume that if a process had been using 100% of the CPU for a while, it would be doing a long job, and it would make sense to give other processes short-term priority. However, this is not the case anymore: a process can be at 100% for a long time and its priority never changes. This causes these rogue Flash processes to starve other processes for CPU time until the rogue process is killed.

Do I need to change my CPU scheduler until this is fixed in Flash? Is there a fix that can be applied to the kernel, or a runtime setting that can be changed?

[This is an automated message. Apologies if it has reached you inappropriately.]

This bug was reported against the linux-meta package when it likely should have been reported against the linux package instead. We are automatically transitioning this to the linux kernel package so that the appropriate teams are notified and made aware of this issue.

If this bug really is a bug in the linux-meta package you can move it back to linux-meta and tag it kj-linux-meta, or contact us on the #ubuntu-kernel channel on the FreeNode IRC server. Thanks.

affects: linux-meta (Ubuntu) → linux (Ubuntu)
Jeremy Foshee (jeremyfoshee) wrote :

Hi Adam,

Please be sure to confirm this issue exists with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/releases/lucid. However, note you can only test Suspend, not Hibernate, when using a LiveCD. If the issue remains, run the following command from a Terminal (Applications->Accessories->Terminal) it will automatically gather and attach updated debug information to this report.

apport-collect -p linux 281526

Also, please be sure to take a look at https://wiki.ubuntu.com/DebuggingKernelSuspendHibernateResume . If you can provide any additional information outlined there it would be much appreciated.

Additionally, if you could try to reproduce this with the upstream mainline kernel that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Thanks in advance.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kernel-suspend
tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Adam Porter (alphapapa) wrote :

An automated message? Well, here's a personal reply: I simply don't have the time to test other distro versions or vanilla kernel builds. I am a full-time student with way too much homework as it is. I don't know if this bug exists in Lucid or any other versions of Ubuntu, but it sure does exist in Hardy, which is an LTS release. As far as I know, it's trivial to reproduce this bug in Hardy--it happens to me every single time I resume from suspend if Flash or AIR is running. I can test updates to Hardy, but that's it for now.

Changed in linux (Ubuntu):
status: Incomplete → New
Luis Sánchez (luxorules) wrote :

I do "enjoy" this bug... but ive found out you can restart the X server to fix it (get flash to work again until next suspend)

Looks fixed to me with 10.4, but I have updated the Flash player myself.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 281526

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected natty
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Adam Porter (alphapapa) wrote :

This still happens sometimes. On Natty with:

flashplugin-installer:
  Installed: 11.1.102.55ubuntu0.11.04.1
  Candidate: 11.1.102.55ubuntu0.11.04.1
  Version table:
 *** 11.1.102.55ubuntu0.11.04.1 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/multiverse i386 Packages
        500 http://security.ubuntu.com/ubuntu/ natty-security/multiverse i386 Packages
        100 /var/lib/dpkg/status

Wirawan Purwanto (wirawan0) wrote :

@Adam: Could you give your firefox version, flash version? Are the OS 32-bit or 64-bit? Plus, this bug is so old --it concerns firefox 3.0 series under ubuntu 8. I wonder if your problem is different from this one.

Ma Hsiao-chun (mahsiaochun) wrote :

Adam Porter,

If you don't understand the concept that there is no point in fixing non-free Flash implementation if free Flash implementation works, then I probably can't convince you. Maybe someone else can. Good luck to you.

Changed in adobe-flashplugin (Ubuntu):
status: Confirmed → Incomplete
Changed in linux (Ubuntu):
status: Incomplete → Invalid
Changed in flashplugin-nonfree (Ubuntu):
status: New → Incomplete
Adam Porter (alphapapa) wrote :

Ma Xiaojun (damage3025):

You are now harassing me by looking up and interfering with bugs that I have reported which are completely unrelated to the bug you disagree with me about (https://bugs.launchpad.net/bugs/1107155). May I remind you that you have signed the Ubuntu Code of Conduct which prohibits such behavior.

As it so happens, this bug is no longer a problem on current kernels and Flash versions, therefore I will mark this bug Fix Released. However, your harassment and personal attacks are unacceptable.

Changed in adobe-flashplugin (Ubuntu):
status: Incomplete → Fix Released
Changed in flashplugin-nonfree (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers